<p align="left">
  <a href="https://elbwalker.com">
    <img title="elbwalker" src='https://www.elbwalker.com/img/elbwalker_logo.png' width="256px"/>
  </a>
</p>

# walkerOS Source walker.js - Create Events Client-Side

Unify your data collection across various departments with the walkerOS web
source walker.js. This package offers a vendor-agnostic approach to front-end
user event tracking, enabling you to collect high-quality, consent-aware data
for analytics, marketing, and beyond.

## What Is walker.js?

walker.js works at the beginning of your data collection in the browser,
ensuring:

- **Easy Integration**: Simple setup and configuration tailored for web
  environments.
- **Seamless Event Tracking**: Capture user interactions efficiently on your
  website.
- **Vendor Agnosticism**: Integrate with any analytics or marketing tool without
  being tied to specific vendors.
- **Consent-Aware Data Processing**: Respects user privacy choices and complies
  with data protection regulations.

> Learn more about walker.js and its capabilities in the
> [walker.js documentation](https://www.elbwalker.com/docs/sources/walkerjs/)

A **previous step** is understanding the
[walkerOS event model](https://www.elbwalker.com/docs/getting_started/event-model/) and
the [tagging](https://www.elbwalker.com/docs/sources/walkerjs/tagging/) of a
webpage.

The **next step** in the data journey is to forward these events to
[Web Destinations](https://www.elbwalker.com/docs/destinations/) for further
processing and analysis.
